import { Filter } from "@sankhyalabs/core";
export declare class TotalsFetcher {
  private templateByQuery;
  private cancel;
  constructor();
  private buildTemplates;
  fetchTotals(name: string, resourceID: string, filters?: Array<Filter>): Promise<Map<string, number>>;
  private getTotals;
}
